RKTEMP(4)

NAME
rktemp - Rockchip RK3399 temperature monitor

SYNOPSIS
rktemp* at fdt?

DESCRIPTION
The rktemp driver provides support for the temperature sensor found on the Rockchip RK3399 SoC. It configures the SoC to reset itself if the temperature raises above a certain temperature to protect it from damage caused by overheating.

Sensor values are made available through the sysctl(8) interface.

SEE ALSO
intro(4), sensorsd(8), sysctl(8)

HISTORY
The rktemp driver first appeared in OpenBSD 6.2.

AUTHORS
-nosplit The rktemp driver was written by Mark Kettenis kettenis@openbsd.org.